<?php
/**
 * WooCommerce AvaTax
 *
 * This source file is subject to the GNU General Public License v3.0
 * that is bundled with this package in the file license.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@skyverge.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade WooCommerce AvaTax to newer
 * versions in the future. If you wish to customize WooCommerce AvaTax for your
 * needs please refer to http://docs.woocommerce.com/document/woocommerce-avatax/
 *
 * @package   AvaTax\API\Requests
 * @author    SkyVerge
 * @copyright Copyright (c) 2016-2018, SkyVerge, Inc.
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU General Public License v3.0
 */

defined( 'ABSPATH' ) or exit;

/**
 * The AvaTax REST API Entity/Use code request class.
 *
 * This is used to retrieve the available codes for per-user tax exemption.
 *
 * @since 1.6.2
 */
class WC_AvaTax_API_Entity_Use_Code_Request extends WC_AvaTax_API_Request {


	/**
	 * Constructs the class.
	 *
	 * @since 1.6.2
	 */
	public function __construct() {

		$this->path   = '/definitions/entityusecodes';
		$this->method = 'GET';
	}


}
